tests

## Class PraktikumHolonsTestObjectController

- java.lang.Object
- - tests.PraktikumHolonsTestObjectController

    public class PraktikumHolonsTestObjectController
    extends java.lang.Object

Tests for the ObjectController.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsTestObjectController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()` Setup for the Tests.
`void` `testAddingAndDeletingInCanvas()` Tests for Adding and Deleting Objects on the Canvas.
`void` `testAddingAndDeletingInCategory()` Tests for adding and Deleting in Categories.
`void` `testInitialHolonElements()` Tests for the Initial HolonElements.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsTestObjectController

    public PraktikumHolonsTestObjectController()

### Method Detail

#### setUp

    public void setUp()

Setup for the Tests.

#### testInitialHolonElements

    public void testInitialHolonElements()

Tests for the Initial HolonElements.

#### testAddingAndDeletingInCategory

    public void testAddingAndDeletingInCategory()

Tests for adding and Deleting in Categories.

#### testAddingAndDeletingInCanvas

    public void testAddingAndDeletingInCanvas()

Tests for Adding and Deleting Objects on the Canvas.